Skip to navigation

List events

View as Markdown

Returns a list of events for a specific recipient. You can filter the results by specifying additional criteria. Note: This method supersedes the older GET /api/v1.0/events/{entityType}/{entityId} request. If you’re still using the old GET request, we highly recommend you switch to this method.

Authentication

AuthorizationBearer

A resource token, sent as Authorization: Bearer <resource token>. Get it by calling EnvelopeRecipients:createRecipientProofFileResourceToken with your OAuth token. A resource token is valid for 2 minutes.

Path parameters

entityTypestringRequired

The type of the entity (for example room, user or envelope). ID Evidence only supports the person (recipient) entity type. Optional.

entityIdstringRequiredformat: "uuid"
The id of the Docusign entity. Optional.
formatstringRequired

The format of the content in the response. ID Evidence supports the following format and extensions:

  • JSON (json)
  • PDF (pdf)

Note: if you choose the PDF format, ID Evidence applies a digital signature to the file to guarantee the origin and integrity of data.

versionstringRequiredDefaults to 1.0
The requested API version

Query parameters

actor_idstringOptional

This parameter is not used with ID Evidence.

from_datedatetimeOptional

Retrieves all the events created from the specified date. This date is inclusive. If empty, then all the events created up until the to_date value are returned.

to_datedatetimeOptional

Retrieves all the events created until the specified date. This date is inclusive. If empty, then all the events created from the from_date are returned.

include_mediabooleanOptional

Indicates whether you want to include the media in the response. The media depends on the event returned by the ID Evidence API. For example, ID Evidence can return the capture of the ID uploaded for verification. Note that including the media in the response may carry a large amount of data. If set to false, then the request returns a link that you can use later with the Get Media request to retrieve the media file.

page_indexintegerOptional
The index position of the currently displayed page.
page_sizeintegerOptional0-2147483647
The number of records to display on a page.

Response

Success
eventslist of objectsOptionalRead-only
List of the events contained in the transaction.
pagingobjectOptional
Paging info.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
406
Not Acceptable Error
412
Precondition Failed Error
415
Unsupported Media Type Error